<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования параметров типовых динамических страниц.
 * 
 * Файл: /admin/lib/action/add_lib_property.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$lib = & singleton('lib');

$param = array();

/* Проверяем существует ли идентификатор */
if (isset($_REQUEST['lib_property_id']))
{
	$param['lib_property_id'] = to_int($_REQUEST['lib_property_id']);
}

/* Устанавливаем параметры */
$param['lib_id'] = to_int($_REQUEST['lib_id']);
$param['lib_property_name'] = to_str($_REQUEST['lib_property_name']);
$param['lib_property_description'] = to_str($_REQUEST['lib_property_description']);
$param['lib_property_varible_name'] = to_str($_REQUEST['lib_property_varible_name']);
$param['lib_property_type'] = to_int($_REQUEST['lib_property_type']);
$param['lib_property_default_value'] = to_str($_REQUEST['lib_property_default_value']);
$param['lib_property_order'] = to_int($_REQUEST['lib_property_order']);
$param['lib_property_sql_request'] = to_str($_REQUEST['lib_property_sql_request']);
$param['lib_property_sql_caption_field'] = to_str($_REQUEST['lib_property_sql_caption_field']);
$param['lib_property_sql_value_field'] = to_str($_REQUEST['lib_property_sql_value_field']);

if ($lib_property_id = $lib->InsertLibProperty($param))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddLibProperty', 'lib_property_id', '<?php echo $lib_property_id?>');
	</script><?php

	show_message($GLOBALS['MSG_lib']['lib_property_form_success']);

	/* Извлекаем информацию обо всех элементах списка данного параметра типовой дин. страницы */
	$property_list_resource = $lib->GetAllLibPropertyListItems($lib_property_id);

	if (mysql_num_rows($property_list_resource) > 0)
	{
		/* Добавляем элементы списка */
		if ($param['lib_property_type'] == 3)
		{
			while ($row = mysql_fetch_assoc($property_list_resource))
			{
				$parameter = to_str($_REQUEST['list_item_name_'.$row['lib_property_list_id']]);
				$parameter = trim($parameter);
				if (!empty($parameter))
				{
					/* Обновляем элемент списка */
					$list_param['lib_property_list_id'] = to_int($row['lib_property_list_id']);
					$list_param['lib_property_id'] = $lib_property_id;
					$list_param['lib_property_list_name'] = to_str($_REQUEST['list_item_name_'.$row['lib_property_list_id']]);
					$list_param['lib_property_list_value'] = to_str($_REQUEST['list_item_value_'.$row['lib_property_list_id']]);
					$list_param['lib_property_list_order'] = to_int($_REQUEST['list_item_order_'.$row['lib_property_list_id']]);
					
					$lib->InsertLibPropertyListItem($list_param);
				}
				else 
				{
					/* Удаляем элемент */
					$lib->DeleteLibPropertyListItem(to_int($row['lib_property_list_id']));
				}
			}
		}
	}
}
else
{
	show_error_message($GLOBALS['MSG_lib']['lib_property_form_error']);
}
?>